<template>
  <div class="details main">
    <div class="ptah-link">
      <div class="back" @click="backClick">
        <i class="fas fa-arrow-left"></i> Back
      </div>
      <div>Home / Details / {{ DetailPage.u_id }}</div>
      <div></div>
    </div>
    <div class="details-card">
      <div class="details-img">
        <img :src="DetailPage.urlToImage" alt="" />
      </div>
      <div class="content">
        <div class="spacing">
          <h2 class="title">{{ DetailPage.title }}</h2>
        </div>
        <div class="spacing">
          <p class="author">Author : {{ DetailPage.author }}</p>
        </div>
        <div class="spacing">
          <h3>{{ DetailPage.description }}</h3>
        </div>
        <div class="spacing">
          <p class="desc">{{ DetailPage.content }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
  name: "detailPage",
  data() {
    return {
      DetailPage: {},
    };
  },
  computed: {
    ...mapGetters({
      Results: "getFetchNews",
      BookMarksData: "BookMarksData",
    }),
  },
  created() {
    const pathId = this.$router.currentRoute.params.id;
    const getData = this.Results.filter((value) => value.u_id == pathId);
    if (getData.length == 0) {
      const data2 = this.BookMarksData.filter((value) => value.u_id == pathId);
      if (data2.length == 0) {
        this.$router.push("/");
      } else {
        this.DetailPage = data2[0];
      }
    } else {
      this.DetailPage = getData[0];
    }
  },
  methods: {
    backClick() {
      this.$router.back();
    },
  },
};
</script>

<style scoped>
.details {
  margin-top: 30px;
}

.ptah-link {
  text-align: center;
  font-size: 20px;
  display: flex;
  justify-content: space-between;
}

.back {
  background-color: black;
  color: white;
  border: none;
  padding: 0.5rem;
  border-radius: 1rem;
}

.details-card {
  width: 100%;
  min-height: 600px;
  background: white;
  box-shadow: 1px 1px 12px black;
  border-radius: 2rem;
  margin-top: 3rem;
  display: flex;
  column-gap: 2.5rem;
  padding: 2rem;
  box-sizing: border-box;
}

.details-card .details-img,
.content {
  width: 50%;
}

.details-card img {
  width: 100%;
  min-height: 600px;
  border-radius: 2rem;
  border: 5px solid #a8a8a8;
  padding: 1rem;
  box-sizing: border-box;
}

.spacing {
  margin-top: 20px;
  margin-bottom: 20px;
}

.spacing .author {
  font-size: 18px;
  color: rgb(199, 195, 195);
  font-weight: bold;
}

.spacing .title {
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  font-size: 30px;
}

.spacing .desc {
  font-family: sans-serif;
  font-size: 16px;
}
</style>
